## usplash-theme-hp 0.1

=== Makefile ===
CC=gcc
CFLAGS=-g -Wall -fPIC
LDFLAGS=
INCLUDES=

COMPILE = $(CC) $(INCLUDES) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS)

INSTALL = /usr/bin/install -c
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROGRAM = $(INSTALL) -m 755


usplash-theme-hp.so: throbber_back.png.c.o throbber_back_16.png.c.o throbber_fore.png.c.o throbber_fore_16.png.c.o \
						 usplash_1024_768.png.c.o usplash_1365_768_scaled.png.c.o usplash_800_600.png.c.o \
						 usplash_640_400.png.c.o usplash_640_480.png.c.o usplash-theme-hp.c.o
	$(COMPILE) -shared -o $@ $^

usplash_1024_768.png: hpusplash.png
	convert $< +dither -resize 1024x768 gif:- | convert gif:- $@
usplash_1365_768.png: hpusplash.png
	convert $< +dither -resize 1365x768 gif:- | convert gif:- $@
usplash_1365_768_scaled.png: hpusplash.png
	convert $< +dither -resize 1024x768 gif:- | convert gif:- $@
usplash_640_400.png: hpusplash.png
	convert $< +dither -resize 640x400 gif:- | convert gif:- $@
usplash_640_480.png: hpusplash.png
	convert $< +dither -resize 640x480 gif:- | convert gif:- $@
usplash_800_600.png: hpusplash.png
	convert $< +dither -resize 800x600 gif:- | convert gif:- $@

%.png.c: %.png
	pngtousplash $< > $@

%.bdf.c: %.bdf
	bdftousplash $< > $@

%.c.o: %.c
	$(COMPILE) -o $@ -c $<

install:
	$(INSTALL) -d $(DESTDIR)/usr/lib/usplash
	$(INSTALL_PROGRAM) usplash-theme-hp.so $(DESTDIR)/usr/lib/usplash/usplash-theme-hp.so
clean:
	rm -f *.png.c *.bdf.c *.c.o *.so usplash_*_*.png

=== debian/changelog ===
usplash-theme-hp (0.1) hardy; urgency=low

  * Initial release

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Tue, 22 Jul 2008 16:15:40 +0200

=== debian/control ===
Source: usplash-theme-hp
Priority: optional
Section: misc
Maintainer: Dennis Kaarsemaker <dennis@ubuntu.com>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 5.0.0), libusplash-dev, imagemagick

Package: usplash-theme-hp
Architecture: any
Depends: ${shlibs:Depends}, initramfs-tools (>= 0.40ubuntu30), usplash (>= 0.4-21)
Description: Usplash theme for Ubuntu
 Usplash theme for Ubuntu

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_OPTIONS

CFLAGS = -g -Wall

# Disable optimisations if noopt found in $DEB_BUILD_OPTIONS
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os
endif

# Build the package
build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch $@

# Install files
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/usplash-theme-hp

binary: binary-indep binary-arch

# Build architecture-independent files here.
binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Clean up the mess we made
clean:
	dh_testdir
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

.PHONY: build install binary-indep binary-arch binary clean

## usplash-theme-hp 0.2

=== debian/changelog ===
usplash-theme-hp (0.2) hardy; urgency=low

  * Fix update-alternatives priority to 100

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Sat, 26 Jul 2008 03:01:37 +0800

## usplash-theme-hp 0.3

=== Makefile ===
CC=gcc
CFLAGS=-g -Wall -fPIC
LDFLAGS=
INCLUDES=

COMPILE = $(CC) $(INCLUDES) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS)

INSTALL = /usr/bin/install -c
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROGRAM = $(INSTALL) -m 755


usplash-theme-hp.so: throbber_back.png.c.o throbber_back_16.png.c.o throbber_fore.png.c.o throbber_fore_16.png.c.o \
						 usplash_1024_768.png.c.o usplash_1365_768_scaled.png.c.o usplash_800_600.png.c.o \
						 usplash_640_400.png.c.o usplash_640_480.png.c.o usplash-theme-hp.c.o
	$(COMPILE) -shared -o $@ $^

usplash_1024_768.png: hpusplash1024x600.png
	convert $< +dither -map cmap.gif -geometry 1024x768! gif:- | convert gif:- $@
usplash_1365_768.png: hpusplash1024x600.png
	convert $< +dither -map cmap.gif -geometry 1365x768! gif:- | convert gif:- $@
usplash_1365_768_scaled.png: hpusplash1024x600.png
	convert $< +dither -map cmap.gif -geometry 1024x768! gif:- | convert gif:- $@
usplash_640_400.png: hpusplash1024x600.png
	convert $< +dither -map cmap.gif -geometry 640x400! gif:- | convert gif:- $@
usplash_640_480.png: hpusplash1024x600.png
	convert $< +dither -map cmap.gif -geometry 640x480! gif:- | convert gif:- $@
usplash_800_600.png: hpusplash1024x600.png
	convert $< +dither -map cmap.gif -geometry 800x600! gif:- | convert gif:- $@
throbber_back.png: throbber_back_hp.png
	convert $< +dither -map cmap.gif gif:- | convert gif:- $@
throbber_fore.png: throbber_fore_hp.png
	convert $< +dither -map cmap.gif gif:- | convert gif:- $@


%.png.c: %.png
	pngtousplash $< > $@

%.bdf.c: %.bdf
	bdftousplash $< > $@

%.c.o: %.c
	$(COMPILE) -o $@ -c $<

install:
	$(INSTALL) -d $(DESTDIR)/usr/lib/usplash
	$(INSTALL_PROGRAM) usplash-theme-hp.so $(DESTDIR)/usr/lib/usplash/usplash-theme-hp.so
clean:
	rm -f *.png.c *.bdf.c *.c.o *.so usplash_*_*.png
	rm -f throbber_fore.png throbber_back.png

=== debian/changelog ===
usplash-theme-hp (0.3) hardy; urgency=low

  * Update images

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Tue, 29 Jul 2008 22:51:48 +0800

## usplash-theme-hp 1.0

=== debian/changelog ===
usplash-theme-hp (1.0) hardy; urgency=low

  * Fix cmap problem

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Wed, 30 Jul 2008 10:41:03 +0000

## usplash-theme-hp 1.1

=== Makefile ===
CC=gcc
CFLAGS=-g -Wall -fPIC
LDFLAGS=
INCLUDES=

COMPILE = $(CC) $(INCLUDES) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS)

INSTALL = /usr/bin/install -c
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROGRAM = $(INSTALL) -m 755

all: usplash-theme-hp.so

usplash-theme-hp.so: throbber_back.png.c.o throbber_back_16.png.c.o throbber_fore.png.c.o throbber_fore_16.png.c.o \
						 usplash_1024_768.png.c.o usplash_1365_768_scaled.png.c.o usplash_800_600.png.c.o \
						 usplash_640_400.png.c.o usplash_640_480.png.c.o usplash-theme-hp.c.o
	$(COMPILE) -shared -o $@ $^

usplash_1024_768.png: background_1024x600.png
	convert $< +dither -map background_1024x600.png -geometry 1024x768! gif:- | convert gif:- $@
usplash_1365_768.png: background_1024x600.png
	convert $< +dither -map background_1024x600.png -geometry 1365x768! gif:- | convert gif:- $@
usplash_1365_768_scaled.png: background_1024x600.png
	convert $< +dither -map background_1024x600.png -geometry 1024x768! gif:- | convert gif:- $@
usplash_640_400.png: background_1024x600.png
	convert $< +dither -map background_1024x600.png -geometry 640x400! gif:- | convert gif:- $@
usplash_640_480.png: background_1024x600.png
	convert $< +dither -map background_1024x600.png -geometry 640x480! gif:- | convert gif:- $@
usplash_800_600.png: background_1024x600.png
	convert $< +dither -map background_1024x600.png -geometry 800x600! gif:- | convert gif:- $@
throbber_back.png: throbber_back_hp.png
	convert $< +dither -map background_1024x600.png gif:- | convert gif:- $@
throbber_fore.png: throbber_fore_hp.png
	convert $< +dither -map background_1024x600.png gif:- | convert gif:- $@


%.png.c: %.png
	pngtousplash $< > $@

%.bdf.c: %.bdf
	bdftousplash $< > $@

%.c.o: %.c
	$(COMPILE) -o $@ -c $<

install:
	$(INSTALL) -d $(DESTDIR)/usr/lib/usplash
	$(INSTALL_PROGRAM) usplash-theme-hp.so $(DESTDIR)/usr/lib/usplash/usplash-theme-hp.so
clean:
	rm -f *.png.c *.bdf.c *.c.o *.so usplash_*_*.png
	rm -f throbber_fore.png throbber_back.png

=== debian/changelog ===
usplash-theme-hp (1.1) hardy; urgency=low

  * Add updated splash image

 -- Gary Lasker <gary.lasker@canonical.com>  Wed, 10 Sep 2008 11:30:12 -0400

## usplash-theme-hp 1.3

=== Makefile ===
CC=gcc
CFLAGS=-g -Wall -fPIC
LDFLAGS=
INCLUDES=

COMPILE = $(CC) $(INCLUDES) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS)

INSTALL = /usr/bin/install -c
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROGRAM = $(INSTALL) -m 755

all: usplash-theme-hp.so

usplash-theme-hp.so: throbber_back.png.c.o throbber_back_16.png.c.o throbber_fore.png.c.o throbber_fore_16.png.c.o \
						 usplash_hp_1024_768.png.c.o usplash_hp_1365_768_scaled.png.c.o usplash_hp_800_600.png.c.o \
						 usplash_hp_640_400.png.c.o usplash_hp_640_480.png.c.o \
						 usplash_compaq_1024_768.png.c.o usplash_compaq_1365_768_scaled.png.c.o usplash_compaq_800_600.png.c.o \
						 usplash_compaq_640_400.png.c.o usplash_compaq_640_480.png.c.o \
						 usplash-theme-hp.c.o
	$(COMPILE) -shared -o $@ $^

# NOTE that in usplash, all pixmaps must be generated in a 4:3 ratio, even for 16:9 displays (they will be scaled)
usplash_hp_1024_768.png: background_hp_1024x600.png
	convert $< +dither -map background_hp_1024x600.png -geometry 1024x768! gif:- | convert gif:- $@
usplash_hp_1365_768.png: background_hp_1024x600.png
	convert $< +dither -map background_hp_1024x600.png -geometry 1024x768! gif:- | convert gif:- $@
usplash_hp_1365_768_scaled.png: background_hp_1024x600.png
	convert $< +dither -map background_hp_1024x600.png -geometry 1024x768! gif:- | convert gif:- $@
usplash_hp_640_400.png: background_hp_1024x600.png
	convert $< +dither -map background_hp_1024x600.png -geometry 640x400! gif:- | convert gif:- $@
usplash_hp_640_480.png: background_hp_1024x600.png
	convert $< +dither -map background_hp_1024x600.png -geometry 640x480! gif:- | convert gif:- $@
usplash_hp_800_600.png: background_hp_1024x600.png
	convert $< +dither -map background_hp_1024x600.png -geometry 800x600! gif:- | convert gif:- $@
	
usplash_compaq_1024_768.png: background_compaq_1024x600.png
	convert $< +dither -map background_compaq_1024x600.png -geometry 1024x768! gif:- | convert gif:- $@
usplash_compaq_1365_768.png: background_compaq_1024x600.png
	convert $< +dither -map background_compaq_1024x600.png -geometry 1024x768! gif:- | convert gif:- $@
usplash_compaq_1365_768_scaled.png: background_compaq_1024x600.png
	convert $< +dither -map background_compaq_1024x600.png -geometry 1024x768! gif:- | convert gif:- $@
usplash_compaq_640_400.png: background_compaq_1024x600.png
	convert $< +dither -map background_compaq_1024x600.png -geometry 640x400! gif:- | convert gif:- $@
usplash_compaq_640_480.png: background_compaq_1024x600.png
	convert $< +dither -map background_compaq_1024x600.png -geometry 640x480! gif:- | convert gif:- $@
usplash_compaq_800_600.png: background_compaq_1024x600.png
	convert $< +dither -map background_compaq_1024x600.png -geometry 800x600! gif:- | convert gif:- $@
	
throbber_back.png: throbber_back_hp.png
	convert $< +dither -map background_hp_1024x600.png gif:- | convert gif:- $@
throbber_fore.png: throbber_fore_hp.png
	convert $< +dither -map background_hp_1024x600.png gif:- | convert gif:- $@


%.png.c: %.png
	pngtousplash $< > $@

%.bdf.c: %.bdf
	bdftousplash $< > $@

%.c.o: %.c
	$(COMPILE) -o $@ -c $<

install:
	$(INSTALL) -d $(DESTDIR)/usr/lib/usplash
	$(INSTALL_PROGRAM) usplash-theme-hp.so $(DESTDIR)/usr/lib/usplash/usplash-theme-hp.so
clean:
	rm -f *.png.c *.bdf.c *.c.o *.so usplash_*_*.png
	rm -f throbber_fore.png throbber_back.png

=== debian/changelog ===
usplash-theme-hp (1.3) dennis; urgency=low

  * Fix usplash aspect ratio for HP branding on Bixby units (LP: #362394).

 -- Gary Lasker <gary.lasker@canonical.com>  Thu, 16 Apr 2009 19:41:09 -0400

usplash-theme-hp (1.2) dennis; urgency=low

  * Add ability to switch the usplash background image based
    on branding information in the /etc/brand file (part
    of LP: #348652).

 -- Gary Lasker <gary.lasker@canonical.com>  Sun, 29 Mar 2009 14:59:33 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: usplash-theme-hp
 Priority: optional
 Section: misc
-Maintainer: Dennis Kaarsemaker <dennis@ubuntu.com>
+Maintainer: Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>
 Standards-Version: 3.7.2
 Build-Depends: debhelper (>= 5.0.0), libusplash-dev, imagemagick

=== debian/rules ===
--- 
+++ 
@@ -58,7 +58,7 @@
 clean:
 	dh_testdir
 	rm -f build-stamp
-	-$(MAKE) clean
+	$(MAKE) clean
 	dh_clean
 
 .PHONY: build install binary-indep binary-arch binary clean
